cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yuuki Tada (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (CB-12867) cordova-compat dependent version is not match between latest released plugins
Date Mon, 05 Jun 2017 23:34:12 GMT

     [ https://issues.apache.org/jira/browse/CB-12867?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Yuuki Tada resolved CB-12867.
-----------------------------
       Resolution: Resolved
    Fix Version/s: 7.0.2

As commented by [~Nikita Matrosov], this issue was fixed.

Tested with cordova@7.0.2-nightly.2017.6.5.30456143, I was able to add the latest cordova-plugin-camera
and the latest cordova-plugin-file to the same project without getting errors.

> cordova-compat dependent version is not match between latest released plugins
> -----------------------------------------------------------------------------
>
>                 Key: CB-12867
>                 URL: https://issues.apache.org/jira/browse/CB-12867
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: cordova-plugin-camera, cordova-plugin-compat, cordova-plugin-contacts,
cordova-plugin-file, cordova-plugin-geolocation, cordova-plugin-media, cordova-plugin-media-capture
>         Environment: android
>            Reporter: Yuuki Tada
>            Priority: Minor
>             Fix For: 7.0.2
>
>
> cordova-plugin-camera (2.3.1 and higher) is depending on cordova-plugin-compat@1.*1*.x.
However, many other plugins (such as media, media-capture, geolocation, file, contacts) are
depending on cordova-plugin-compat@1.*0*.x as of now. This is causing an issue that cordova-plugin-camera
cannot be added to the project if the project already has one of cordova-plugin-compat@1.*0*.x
dependent plugins and vise versa.
> It might be better to depend on the same version of cordova-plugin-compat for the next
plugins release.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message